Page MenuHomePhabricator

[Task] Move PropertySuggester extension to gerrit
Closed, ResolvedPublic

Description

Details

Related Gerrit Patches:
translatewiki : masterStop updating PropertySuggester in github.
wikidata/build-resources : masterMake builder use gerrit instead of github for PropertySuggester
mediawiki/extensions/PropertySuggester : masterMake jenkins pass on master
integration/config : masterAdd PropertySuggester
mediawiki/extensions/Wikidata : masterUse PropertySuggester in gerrit instead of github
mediawiki/extensions/PropertySuggester : masterAdd .gitreview

Related Objects

StatusAssignedTask
ResolvedAddshore
ResolvedAddshore
InvalidNone
DeclinedNone
OpenNone
ResolvedJanZerebecki
ResolvedJeroenDeDauw
Resolvedaude
ResolvedJanZerebecki
DuplicateNone
DeclinedNone
ResolvedLadsgroup
ResolvedJanZerebecki
DeclinedNone
Resolvedaude
ResolvedJeroenDeDauw
ResolvedWMDE-leszek
InvalidNone
InvalidNone
OpenNone
ResolvedVictorbarbu
ResolvedLucas_Werkmeister_WMDE
ResolvedMtDu
ResolvedLydia_Pintscher
DeclinedLydia_Pintscher
InvalidNone
InvalidNone
ResolvedReedy
ResolvedLegoktm
ResolvedLadsgroup
ResolvedNone
ResolvedJanZerebecki
OpenNone
ResolvedJanZerebecki
ResolvedKrinkle
InvalidNone
ResolvedJanZerebecki
ResolvedAddshore

Event Timeline

JanZerebecki raised the priority of this task from to Normal.
JanZerebecki updated the task description. (Show Details)
JanZerebecki moved this task from incoming to ready to go on the Wikidata board.Jun 30 2015, 1:23 PM
Jonas renamed this task from Move PropertySuggester extension to gerrit to [Task] Move PropertySuggester extension to gerrit.Aug 13 2015, 4:17 PM
Jonas set Security to None.
greg edited projects, added Gerrit; removed Gerrit-Migration.Dec 2 2015, 12:26 AM
demon moved this task from Bugs & stuff to Repo Admin on the Gerrit board.Jul 25 2016, 3:47 PM
Ladsgroup moved this task from ready to go to in progress on the Wikidata board.May 15 2017, 1:29 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMay 15 2017, 3:53 PM
greg reassigned this task from Ladsgroup to demon.May 19 2017, 11:50 AM
greg added a subscriber: Ladsgroup.
Ladsgroup moved this task from Incoming to Monitor on the User-Ladsgroup board.May 20 2017, 7:45 AM

Change 354965 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/PropertySuggester@master] Add .gitreview

https://gerrit.wikimedia.org/r/354965

Ladsgroup added a subscriber: demon.

Change 354980 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikidata@master] Use PropertySuggester in gerrit instead of github

https://gerrit.wikimedia.org/r/354980

Change 354965 merged by Hashar:
[mediawiki/extensions/PropertySuggester@master] Add .gitreview

https://gerrit.wikimedia.org/r/354965

Change 355120 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[wikidata/build-resources@master] Make builder use gerrit instead of github for PropertySuggester

https://gerrit.wikimedia.org/r/355120

Change 354980 abandoned by Ladsgroup:
Use PropertySuggester in gerrit instead of github

Reason:
Done in I326f3cd4fed8ec07f812a631fc63f82f8f940376

https://gerrit.wikimedia.org/r/354980

Most of it is being done but there are two things needing to be done:

  • Update packagist, I don't how to do it or if it's needed
  • Make jenkins run on this properly.

Change 355124 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[integration/config@master] Add PropertySuggester

https://gerrit.wikimedia.org/r/355124

I guess we would also need to somehow also port the releases over to Gerrit, no?

We can also go with dev-master like Wikibase and other gerrit extensions.

greg added a subscriber: greg.May 22 2017, 8:10 PM

Looks like the gerrit repo admin part is done, right? Can I remove releng-related projects now?

@greg: Yes, thank you for doing it.

I guess we would also need to somehow also port the releases over to Gerrit, no?

Releases are just git tags. Should be simple to clone the repository and then re-push it.

Change 355124 merged by jenkins-bot:
[integration/config@master] Add PropertySuggester

https://gerrit.wikimedia.org/r/355124

Change 355204 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/PropertySuggester@master] Add package.json

https://gerrit.wikimedia.org/r/355204

Change 355204 merged by jenkins-bot:
[mediawiki/extensions/PropertySuggester@master] Make jenkins pass on master

https://gerrit.wikimedia.org/r/355204

Qgil removed a subscriber: Qgil.May 24 2017, 1:27 PM

Change 355120 merged by jenkins-bot:
[wikidata/build-resources@master] Make builder use gerrit instead of github for PropertySuggester

https://gerrit.wikimedia.org/r/355120

All patches are merged but some stuff need to be done before calling this done. I add a checklist at the task's description.

Ladsgroup updated the task description. (Show Details)May 29 2017, 9:58 PM
Ladsgroup moved this task from Review to Doing on the Wikidata-Former-Sprint-Board board.
Ladsgroup updated the task description. (Show Details)May 31 2017, 9:36 PM
Addshore removed a subscriber: Addshore.Jun 7 2017, 10:13 AM

One possible thing to add to the checklist: stop L10n-bot doing updates on github, and make sure it only updates repo on Gerrit. Currently it seems updates are done two boths, which results in both repos diverge more and more :)

@WMDE-leszek: Good catch. Made patch for that.

Change 357771 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[translatewiki@master] Stop updating PropertySuggester in github.

https://gerrit.wikimedia.org/r/357771

Ladsgroup updated the task description. (Show Details)Jun 8 2017, 8:28 AM

Change 357771 merged by jenkins-bot:
[translatewiki@master] Stop updating PropertySuggester in github.

https://gerrit.wikimedia.org/r/357771

Ladsgroup updated the task description. (Show Details)Jun 15 2017, 9:05 AM

Okay, I closed the only one open PR in github: https://github.com/Wikidata-lib/PropertySuggester/pull/179

I don't think making it a redirect would be a good idea because we will lose lots of discussion that might be useful for future references.

Ladsgroup closed this task as Resolved.Jun 15 2017, 9:09 AM
Ladsgroup moved this task from Doing to Done on the Wikidata-Former-Sprint-Board board.